% Experiment 2: Similar Geometric Graph Retrieval.

load ../data/3d-db-MATLAB/bzr_3d.mat
T=[123, 99, 174, 333, 396, 294, 244, 281, 32, 361, 1];
clear res;
minsup = 100;
for ti=1:length(T)
	tic; [graphs, count, occ] = mexfreqgeo(G, T(ti), minsup, 0.01);
	res{ti}.time = toc;
	res{ti}.T = T(ti);
	res{ti}.graphs = graphs;
	res{ti}.count = count;
	res{ti}.occ = occ;
	tic; [gspan_graphs, gspan_count, gspan_occ] = gspan(G, minsup, [], 0, T(ti));
	res{ti}.gspan_time = toc;
	res{ti}.gspan_graphs = gspan_graphs;
	res{ti}.gspan_count = gspan_count;
	res{ti}.gspan_occ = gspan_occ;
	save exp2.mat;
end

